/* :root {
  --bs-light-primary: #F1FAFF;
  --bs-active-primary: #0095E8;
  --bs-light-success: #E8FFF3;
  --bs-active-success: #47BE7D;
  --bs-light-info: #F8F5FF;
  --bs-active-info: #5014D0;
  --bs-light-warning: #FFF8DD;
  --bs-active-warning: #F1BC00;
  --bs-light-danger: #FFF5F8;
  --bs-active-danger: #D9214E;
  --bs-light-dark: #EFF2F5;
  --bs-active-dark: #131628;
  --bs-gray-100: #F5F8FA;
  --bs-gray-200: #EFF2F5;
  --bs-gray-300: #E4E6EF;
  --bs-gray-400: #B5B5C3;
  --bs-gray-500: #A1A5B7;
  --bs-gray-600: #7E8299;
  --bs-gray-700: #5E6278;
  --bs-gray-800: #3F4254;
  --bs-gray-900: #181C32;
  --bs-xs: 0;
  --bs-sm: 576px;
  --bs-md: 768px;
  --bs-lg: 992px;
  --bs-xl: 1200px;
  --bs-xxl: 1400px;
  --bs-border-color: #EFF2F5;
  --bs-border-dashed-color: #E4E6EF;
} */

p, a, span, div, h1, h2, h3, h4, h5, h6, label, button, text {
  font-family: 'Noto Sans', 'Noto Sans Thai', sans-serif;
}

footer {
  color: #FFF
}

h1, h2, h3, h4, h5, h6 {
  color: #6E4CD6
}
p, span, div, label {
  color: #5E5D62
}
a {
  text-decoration: none;
  cursor: pointer;
  color: #9392A2;
  transition: 0.3s;
}
a:hover, a:active {
  color: #66656D
}

body {
  background-color: #E7E9F8
}

img.img-circle-intable {
    height: 50px;
    width: 50px;
    border-radius: 100%;
    object-fit: cover;
}

img.img-square-intable {
    height: 50px;
    width: 80px;
    border-radius: 10px;
    object-fit: cover;
}

div.toastr-message {
    color: #FFF;
    font-size: 16px !important;
}

[contenteditable] {
  outline: 1px solid #DFDFDF;
  border-radius: 5px;
  padding: 5px 10px;
}

.badge-alert {
  height: 1.5rem;
  min-width: 1.5rem;
  font-size: .8rem;
  border-radius: 100%;
  padding: 0;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  background-color: #f1416c;
  color: #fff !important;
  transform: translate(-50%, -50%);
  left: 0;
  top: 0;
  margin-left: 20px;
  position: absolute;
  text-align: center;
  white-space: nowrap;
  vertical-align: baseline;
  z-index: 1;
}

.ico-turn {
  mask: url(../files/images/child_turn.svg);
  -webkit-mask: url(../files/images/child_turn.svg);
  height: 20px;
  width: 20px;
  background-color: #b5b5c3;
  mask-repeat: no-repeat;
  -webkit-mask-repeat: no-repeat;
}

.text-purple {
  color: #6E4CD6;
}

.paragraph {
  text-indent: 2.5em;
}

.form-check {
  margin-bottom: 0;
}

.form-check-input {
  width: 20px;
  height: 20px;
  margin-top: 2px;
  margin-right: 10px;
  border: 2px solid #e3e4e8;
}

.form-check-input[type=checkbox] {
  border-radius: 3px;
}

.form-check-input:checked[type=checkbox] {
  background-image: url("data:image/svg+xml,%3Csvg version='1.1' id='Layer_1' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' x='0px' y='0px' viewBox='0 0 448 512' style='enable-background:new 0 0 448 512;' xml:space='preserve'%3E%3Cstyle type='text/css'%3E .st0%7Bfill:%23FFFFFF;%7D%0A%3C/style%3E%3Cpath class='st0' d='M440.1,103c10.2,9.4,10.2,24.6,0,33.1l-264,264c-8.5,10.2-23.7,10.2-33.1,0L7,264.1c-9.4-8.5-9.4-23.7,0-33.1 c9.4-9.3,24.6-9.3,33.9,0l119,119.1L407,103C416.4,93.7,431.6,93.7,440.1,103L440.1,103z'/%3E%3C/svg%3E%0A");
  background-repeat: no-repeat;
  background-size: 11px;
}

nav {
  background: #FFF;
  box-shadow: transparent;
  transition: 0.3s;
}

nav.scrolled {
  background: #FFF;
  box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
}

footer .top {
  background: #fafafa;
  color: #5d616c;
}

footer .bottom {
  background-color: #6149D1;
  color: #FFF;
}

footer .top a {
  text-decoration: none;
  color: #5d616c;
  margin-top: 7px;
  transition: 0.3s;
}

footer .top a:hover {
  color: #000;
}

footer .top button {
  border: transparent;
  background-color: #d80005;
  color: #FFF;
  border-top-right-radius: 5px;
  border-bottom-right-radius: 5px;
  padding: 0px 15px;
}

footer .top button:hover {
  background-color: #d80005;
}

.text-line-1, .text-line-2, .text-line-3, .text-line-4, .text-line-5, .text-line-6 {
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  height: fit-content;
}

.text-line-1 {
  -webkit-line-clamp: 1;
}

.text-line-2 {
  -webkit-line-clamp: 2;
}

.text-line-3 {
  -webkit-line-clamp: 3;
}

.text-line-4 {
  -webkit-line-clamp: 4;
}

.text-line-5 {
  -webkit-line-clamp: 5;
}

.text-line-6 {
  -webkit-line-clamp: 6;
}
.mod-logo {
    padding: 0px 10px;
    max-height: 50px;
    max-width: 180px;
}
.mod-profile-img {
  width: 45px;
  height: 45px;
  border-radius: 10px;
  object-fit: cover;
}

.mod-btn-primary {
  background: linear-gradient(90deg, rgba(159,96,249,1) 50%, rgba(97,73,209,1) 100%);
  color: #FFF;
  border-radius: 25px;
  padding: 10px 20px;
  box-shadow: 0 0 0 0rem rgb(159 96 249 / 0%);
  transition: 0.3s;
}

.mod-btn-primary:focus, .mod-btn-primary:hover {
  outline: 0;
  color: #FFF;
  box-shadow: 0 0 0 0.25rem rgb(159 96 249 / 27%);
}

.mod-alert-position {
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 1056;
}
.mod-alert-box {
  background-color: #FFF;
  min-width: 420px;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  padding: 20px 20px;
  border-radius: 20px;
  box-shadow: rgb(0 0 0 / 9%) 0px 0px 100px;
  -webkit-animation: mod-alert .2s;
  animation: mod-alert .2s;
}

@-webkit-keyframes mod-alert {
  0% { transform: scale(0.2); }
  98% { transform: scale(1.06); }
  99% { transform: scale(1.03); }
  100% { transform: scale(1); }
}

@keyframes mod-alert {
  0% { transform: scale(0.2); }
  98% { transform: scale(1.06); }
  99% { transform: scale(1.03); }
  100% { transform: scale(1); }
}

.mod-btn {
  text-decoration: none;
  padding: 10px 20px;
  text-align: center;
  white-space: nowrap;
  justify-content: center;
  align-items: center;
  font-size: 22px;
  border-radius: 10px;
  outline-color: transparent;
  border-color: transparent;
  margin: 0px 10px;
  box-shadow: none;
}

.mod-btn.mbtn-primary {
  color: #FFF;
  background-color: #009ef7;
  transition: 0.2s;
}
.mod-btn.mbtn-primary:hover,
.mod-btn.mbtn-primary:focus,
.mod-btn.mbtn-primary:active {
  background-color: #0095e8;
}

.mod-btn.mbtn-success {
  color: #FFF;
  background-color: #50cd89;
  transition: 0.2s;
}
.mod-btn.mbtn-success:hover,
.mod-btn.mbtn-success:focus,
.mod-btn.mbtn-success:active {
  background-color: #47be7d;
}

.mod-btn.mbtn-danger {
  color: #FFF;
  background-color: #f1416c;
  transition: 0.2s;
}
.mod-btn.mbtn-danger:hover,
.mod-btn.mbtn-danger:focus,
.mod-btn.mbtn-danger:active {
  background-color: #d9214e;
}

.mod-btn.mbtn-light {
  color: #7e8299;
  background-color: #f5f8fa;
  transition: 0.2s;
}
.mod-btn.mbtn-light:hover,
.mod-btn.mbtn-light:focus,
.mod-btn.mbtn-light:active {
  color: #FFF;
  background-color: #b5b5c3;
}

/* Start Content */
.mod-content {
  width: 100%;
  height: 100%;
  margin-left: 0px;
  background-color: #FFF;
  border-radius: 30px;
  padding: 0px 0px;
  display: flex;
  flex-direction: column;
  overflow-y: scroll;
  -ms-overflow-style: none;
  scrollbar-width: none;
}
.mod-content::-webkit-scrollbar {
  display: none;
}
.mod-content-header {
  padding: 23px 30px;
  border-bottom: 1px solid #DFDFDF;
  z-index: 1;
  background-color: #FFF;
}
.mod-content-body {
  height: 100%;
  width: 100%;
  padding: 25px 35px;
  overflow-y: scroll;
}
.mod-content-body::-webkit-scrollbar {
  /* display: none; */
}
::-webkit-scrollbar {
  width: 12px;
}
::-webkit-scrollbar-track {
  background: transparent;
}
::-webkit-scrollbar-thumb {
  background: #eff2f5;
  border-radius: 5px;
}
::-webkit-scrollbar-thumb:hover {
  background: #ccc;
}
.mod-content-footer {
    border-top: 1px solid #DFDFDF;
    padding: 20px 25px;
    z-index: 1;
    background-color: #FFF;
}
@media (min-width: 992px) {

  .mod-content {
    width: 100%;
    height: 100%;
    margin-left: 1.5rem;
    background-color: #FFF;
    border-radius: 30px;
    padding: 0px 0px;
    display: flex;
    flex-direction: column;
    overflow-y: scroll;
    -ms-overflow-style: none;
    scrollbar-width: none;
  }
}

/* Start Menu Button */

.ms-30px { margin-left: 30px; }

.mod-btn-menu {
  color: #868fa1;
  transition: 0.3s;
  text-decoration: none;
  width: 45px;
  height: 45px;
  text-align: center;
  white-space: nowrap;
  background-color: #efefef;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 22px;
  border-radius: 10px;
  outline-color: transparent;
  border-color: transparent;
  cursor: pointer;
}
.mod-btn-menu:hover {
  color: #6149D1;
}
.mod-btn-menu.active, .mod-btn-menu.show {
  color: #FFF;
  background-color: #6149D1;
}
.mbtn-xmark {
  color: #f1416c;
}
.mbtn-xmark:hover {
  color: #d9214e !important;
}

/* Start Menu */

.mod-menu {
  position: fixed;
  height: calc(100% - 3em);
  width: calc(100% - 3em);
  background-color: #FFF;
  border-radius: 25px;
  padding: 28px 0px;
  display: flex;
  flex-direction: column;
  overflow-y: scroll;
  -ms-overflow-style: none;
  scrollbar-width: none;
  transition: 0.3s;
  top: 0;
  left: -100%;
  margin: 1.5em;
  box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
  z-index: 5;
}

.mod-menu.active {
  top: 0;
  left: 0;
}

.mod-menu::-webkit-scrollbar {
  display: none;
}

.mod-menu-item {
  display: flex;
  justify-content: start;
  align-items: center;
  padding: 15px 0px;
  margin: 5px 35px;
  font-size: 18px;
}

.mod-menu button.mod-menu-item {
  border: 0;
  background: transparent;
}

.mod-menu a.mod-menu-item i, .mod-menu button.mod-menu-item i {
  width: fit-content;
  margin: auto;
}
.mod-menu.active a.mod-menu-item i, .mod-menu.active button.mod-menu-item i {
  width: 45px;
  margin: 0;
  text-align: start;
}
.mod-menu-item, .mod-menu-item span {
  color: #9392A2;
}
.mod-menu-item:hover i, .mod-menu-item:hover p,
.mod-menu-item.active i, .mod-menu-item.active p {
  color: #7651CB;
}
.mod-menu-item::after {
  content: '.';
  color: transparent;
  position: absolute;
  right: 0;
  opacity: 0;
  transition: 0.2s;
  color:#7651CB;
}
.mod-menu-item:hover::after,
.mod-menu-item.active::after {
  content: '.';
  color: transparent;
  opacity: 1;
  position: absolute;
  right: 0;
  width: 5px;
  background-color: #7651CB;
}

a.mod-menu-child-item.active i, a.mod-menu-child-item.active span {
  color: #7651CB;
}

a.mod-menu-child-item i {
  display: inline-flex;
  justify-content: center;
}

.mod-menu * p ,.mod-menu.active * p {
  width: fit-content;
  transition: 0.2s;
}

@media (min-width: 992px) {
  .mod-menu {
    position: relative;
    max-width: 100px;
    min-width: 106px;
    height: 100%;
    margin: 0;
    top: 0;
    left: 0;
    box-shadow: unset;
  }
  .mod-menu.active {
    /* max-width: 400px; */
    min-width: 300px;
    border-radius: 30px;
    top: 0;
    left: 0;
  }
  .mod-menu * p  {
    width: 0px;
    transition: 0.2s;
  }
  .mod-menu.active * p {
    width: fit-content;
    transition: 0.2s;
  }
}

.mod-menu-child {
  min-width: 0;
  min-height: 0;
  padding: 0;
  background-color: #FFF;
  box-shadow: rgb(149 157 165 / 20%) 0px 8px 24px;
  display: flex;
  flex-direction: column;
  position: fixed;
  margin-left: 79px;
  transform-origin: center;
  transition: all 0.4s cubic-bezier(0.54, -0.10, 0.57, 0.57);
  color: #fff;
  width: 200px;
  text-align: left;
  border-radius: 20px;
  font-weight: 300;
  z-index: 10;
  transition: 0.2s;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  overflow-y: scroll;
  -ms-overflow-style: none;
  scrollbar-width: none;
}
.mod-menu-child::-webkit-scrollbar {
  display: none;
}
.mod-menu-child.active {
  min-width: calc(100% - 50px);
  min-height: calc(100% - 50px);
  padding: 20px 35px;
}
.mod-menu button div.mod-menu-child,
.mod-menu button div.mod-menu-child.active {
  margin: 0;
}
.mod-menu.active button div.mod-menu-child,
.mod-menu.active button div.mod-menu-child.active {
  margin: 0;
}
.mod-menu-child a > i {
  width: 35px !important;
}
.mod-menu-child a {
  margin: 15px 0px;
  display: none;
}
.mod-menu-child.active a {
  display: block;
}
.mod-menu-child a:hover {
  color: #7651CB !important;
}
.mod-menu-child a.mod-btn-close-mchild {
  width: 0;
  height: 0;
  display: none;
  font-size: 0;
  transition: 0.3s;
}
.mod-menu-child a.mod-btn-close-mchild i {
  width: unset !important;
}
.mod-menu-child.active a.mod-btn-close-mchild {
  width: 50px;
  height: 50px;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 100%;
  background-color: #efefef;
  color: #f1416c;
  font-size: 22px;
}
.mod-menu-child.active a.mod-btn-close-mchild:hover {
  background-color: #dfdfdf;
  color: red !important;
}

@media (min-width: 992px) {
  .mod-menu-child {
    min-width: 0;
    min-height: 0;
    padding: 0;
    background-color: #FFF;
    box-shadow: rgb(149 157 165 / 20%) 0px 8px 24px;
    display: flex;
    flex-direction: column;
    position: fixed;
    margin-left: 79px;
    transform-origin: center;
    transition: all 0.4s cubic-bezier(0.54, -0.10, 0.57, 0.57);
    color: #fff;
    width: 200px;
    text-align: left;
    border-radius: 20px;
    font-weight: 300;
    z-index: 10;
    transition: 0.2s;
    top: unset;
    left: unset;
    transform: unset;
  }
  .mod-menu-child.active {
    min-width: 200px;
    min-height: 70px;
    padding: 10px 25px;
    width: fit-content;
  }
  .mod-menu button div.mod-menu-child,
  .mod-menu button div.mod-menu-child.active {
    margin-left: 79px;
  }
  .mod-menu.active button div.mod-menu-child,
  .mod-menu.active button div.mod-menu-child.active {
    margin-left: 274px;
  }
  .mod-menu-child a {
    margin: 10px 0px;
    display: none;
  }
}

.text-primary {
  color: #009EF7 !important;
}
.text-secondary {
  color: #E4E6EF !important;
}
.text-light {
  color: #F5F8FA !important;
}
.text-success {
  color: #50CD89 !important;
}
.text-warning {
  color: #FFC700 !important;
}
.text-danger {
  color: #F1416C !important;
}
.text-info {
  color: #7239EA !important;
}
.text-dark {
  color: #181C32 !important;
}
.text-muted {
  color: #A1A5B7 !important;
}

.alert-icon {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0px;
  margin: 0px;
  font-size: 18px;
  position: relative;
  width: 45px;
  height: 45px;
}
.alert-play::after {
  content: '.';
  color: transparent;
  animation: ripple 2000ms infinite;
  border-radius: 100%;
  position: absolute;
  margin-left: -21px;
  width: 26px;
  height: 26px;
}
@keyframes ripple {
  0% {
    box-shadow:
    0 0 0 0px rgb(255 255 255 / 0%),
    0 0 0 0px rgb(255 255 255 / 0%),
    0 0 0 0px rgb(255 255 255 / 0%),
    0 0 0 0px rgb(255 255 255 / 0%),
    0 0 0 0px rgb(255 255 255 / 0%),
    0 0 0 0px rgb(255 255 255 / 0%);
  }
  50% {
    box-shadow:
    0 0 0 4px rgb(255 255 255 / 100%),
    0 0 0 5px rgb(118 81 203 / 50%),
    0 0 0 9px rgb(255 255 255 / 100%),
    0 0 0 10px rgb(118 81 203 / 25%),
    0 0 0 14px rgb(255 255 255 / 100%),
    0 0 0 15px rgb(118 81 203 / 10%);
  }
  100% {
    box-shadow:
    0 0 0 4px rgb(255 255 255 / 100%),
    0 0 0 5px rgb(255 255 255 / 100%),
    0 0 0 9px rgb(255 255 255 / 100%),
    0 0 0 10px rgb(255 255 255 / 100%),
    0 0 0 14px rgb(255 255 255 / 100%),
    0 0 0 15px rgb(255 255 255 / 100%);
  }
}

.label-profile-img {
  width: 130px;
  height: 130px;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  position: relative;
  background-color: #FFF;
  border-radius: 15px;
  border: 3px solid #FFF;
  box-shadow: rgb(0 0 0 / 16%) 0px 1px 4px;
  cursor: pointer;
}
.label-intro-img {
  width: 200px;
  height: 130px;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  position: relative;
  background-color: #FFF;
  border-radius: 15px;
  border: 3px solid #FFF;
  box-shadow: rgb(0 0 0 / 16%) 0px 1px 4px;
  cursor: pointer;
}
.label-profile-img:after, .label-intro-img:after {
    font-family: 'Font Awesome 6 Pro';
    font-weight: 300;
    content: "\f304";
    width: 40px;
    height: 40px;
    bottom: -20px;
    right: -20px;
    position: absolute;
    background-color: #FFF;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 100%;
    box-shadow: rgb(99 99 99 / 20%) 0px 2px 8px 0px;
}
.input-profile-img {
    display: none;
}
.input-intro-img {
    display: none;
}

.page-item.active:hover:not(.offset) .page-link {
    color: #FFF;
}

.breadcrumb {
    background-color: #f5f8fa;
    /* width: fit-content; */
    height: 45px;
    padding-left: 20px;
    padding-right: 10px;
    border-radius: 10px;
}

.progress-bar {
    border-radius: 6px;
}

.intro-img-preview {
  cursor: pointer;
}

.intro-news-img-preview img {
  width: 120px;
  height: 70px;
  object-fit: cover;
  border-radius: 5px;
  border: 2px solid #C9C0ED;
  padding: 2px;
  margin-top: -25px;
  cursor: pointer;
}

.intro-news-img-preview i.edit {
  position: relative;
  top: 55px;
  right: -105px;
  border: 2px solid #C9C0ED;
  color: #FFFFFF;
  background-color: #C9C0ED;
  width: 25px;
  height: 25px;
  text-align: center;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 100%;
}

.loader {
  border: 5px solid #f3f3f3;
  border-radius: 50%;
  border-top: 5px solid #3498db;
  width: 70px;
  height: 70px;
  -webkit-animation: spin 0.7s linear infinite; /* Safari */
  animation: spin 0.7s linear infinite;
}

.loader-more-noti {
  border: 3px solid #f3f3f3;
  border-radius: 100%;
  border-top: 3px solid #d9d9d9;
  width: 20px;
  height: 20px;
  -webkit-animation: spin 0.7s linear infinite; /* Safari */
  animation: spin 0.7s linear infinite;
}

/* Safari */
@-webkit-keyframes spin {
  0% { -webkit-transform: rotate(0deg); }
  100% { -webkit-transform: rotate(360deg); }
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}

.mod-alert-noclick {
    width: 100%;
    height: 100%;
    background: rgb(66 66 66 / 80%);
    position: fixed;
    left: 0;
    top: 0;
    z-index: 1055;
}

.mod-btn-menu.mbtn-primary {
  color: #FFF;
  background-color: #009ef7;
}

.mod-btn-menu.mbtn-primary:hover {
  background-color: #0095e8 !important;
}

.mod-user-alert {
  background: #FFF;
  box-shadow: rgb(0 0 0 / 10%) 0px 4px 12px;
  border-radius: 25px;
  z-index: 90;
  position: fixed;
  width: calc(100% - 50px);
  height: calc(100% - 50px);
  top: 25px;
  left: -100%;
  transition: 0.2s;
  display: flex;
  flex-direction: column;
  min-width: 0;
  word-wrap: break-word;
}
.mod-user-alert.active {
  left: 25px;
}
.mod-user-alert-header {
  border-bottom: 1px solid #DFDFDF;
}
.mod-user-alert-body {
  padding: 25px 30px;
  overflow-y: scroll;
  -ms-overflow-style: none;
  scrollbar-width: none;
  flex: 1 1 auto;
}
.mod-user-alert-body::-webkit-scrollbar {
  display: none;
}
.mod-user-alert-footer {
  border-bottom-left-radius: 25px;
  border-bottom-right-radius: 25px;
  color: #009EF7;
}
.mod-user-alert-hover {
  color: #009EF7;
}


@media (min-width: 992px) {
  .mod-user-alert {
    position: fixed;
    width: 400px;
    height: calc(100% - 50px);
    transform: unset;
    transition: 0.2s;
  }
}
.noti-profile {
  width: 50px;
  height: 50px;
  border-radius: 100%;
  object-fit: cover;
}
.noti-profile-icon {
  height: 25px;
  width: 25px;
  border-radius: 100%;
  padding: 0;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  transform: translate(35%, 35%);
  right: 0;
  bottom: 0;
  position: absolute;
  text-align: center;
  white-space: nowrap;
  vertical-align: baseline;
  z-index: 1;
  font-size: 14px;
}
.noti-profile-icon.icon-white {
  color: var(--bs-gray-500);
  background-color: var(--bs-white);
}
.noti-profile-icon.icon-light {
  color: var(--bs-gray-500);
  background-color: var(--bs-light);
}
.noti-profile-icon.icon-primary {
  color: var(--bs-white);
  background-color: var(--bs-primary);
}
.noti-profile-icon.icon-secondary {
  color: var(--bs-white);
  background-color: var(--bs-secondary);
}
.noti-profile-icon.icon-success {
  color: var(--bs-white);
  background-color: var(--bs-success);
}
.noti-profile-icon.icon-info {
  color: var(--bs-white);
  background-color: var(--bs-info);
}
.noti-profile-icon.icon-warning {
  color: var(--bs-white);
  background-color: var(--bs-warning);
}
.noti-profile-icon.icon-danger {
  color: var(--bs-white);
  background-color: var(--bs-danger);
}
.noti-profile-icon.icon-dark {
  color: var(--bs-white);
  background-color: var(--bs-dark);
}

.dashboard-select {
  margin-top: -88px;
  transition: 0.2s;
}
.dashboard-select.active {
  margin-top: 0;
  transition: 0.2s;
}

button.toggle-updown-btn {
  border-radius: 100%;
  box-shadow: none;
  border-color: #7239ea;
  border-width: 1px;
  border-style: dashed;
  height: calc(1.5em + 1.1rem + 2px);
  width: calc(1.5em + 1.1rem + 2px);
  display: inline-flex;
  align-items: center;
  justify-content: center;
  padding: 0;
  cursor: pointer;
  background-color: #FFF;
  outline: 0px solid transparent;
}

button.toggle-updown-btn:hover {
  background-color: #f8f5ff;
  transition: 0.3s;
}

i.toggle-updown-icon {
  padding: 0;
  margin: 0;
  line-height: 1;
  font-family: 'Font Awesome 6 Pro';
  font-weight: 300;
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
  display: inline-block;
  display: var(--fa-display, inline-block);
  font-style: normal;
  font-variant: normal;
  text-rendering: auto;
  color: #7239ea;
}

button.toggle-updown-btn:not(.opened) i.toggle-updown-icon::before {
  content: "\f078";
  transition: 0.3s;
}

button.toggle-updown-btn.opened i.toggle-updown-icon::before {
  content: "\f078";
  display: inline-block;
  transform: rotate(180deg);
  transition: 0.3s;
}

.dashboard-module-1-btn {
  padding: 0px 0px 0px 5px !important;
  width: 25px;
  height: 25px;
  border-radius: 5px;
  background-color: #f8f5ff;
  display: inline-flex;
  align-items: center;
  justify-content: center;
}

.dashboard-module-1-sub-menu {
  z-index: 2;
  position: absolute;
  inset: 0px 0px auto auto;
  margin: 0px;
  flex-direction: column;
  border-radius: 5px;
  background-color: #fff;
  width: fit-content;
  font-weight: 600;
  padding: 5px;
  box-shadow: 0 0 50px 0 rgb(82 63 105 / 15%);
  column-gap: 5px;
  row-gap: 5px;
}

.dashboard-module-1-sub-menu:not(.show) {
  display: none;
}
.dashboard-module-1-sub-menu.show {
  display: grid;
}

.dashboard-section-radio-arrow[type="radio"] {
    position: absolute;
    visibility: hidden;
}

.dashboard-section-radio-arrow + label {
  width: 25px;
  height: 25px;
  border-radius: 5px;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
}

.dashboard-section-radio-arrow.dsra-btn-success:not(:checked) + label {
  color: #50cd89;
  background-color: #e8fff3;
}

.dashboard-section-radio-arrow.dsra-btn-success:checked + label {
  color: #FFF;
  background-color: #50cd89;
}

.dashboard-section-radio-arrow.dsra-btn-danger:not(:checked) + label {
  color: #f1416c;
  background-color: #fff5f8;
}

.dashboard-section-radio-arrow.dsra-btn-danger:checked + label {
  color: #FFF;
  background-color: #f1416c;
}
.form-check-label {
  white-space: nowrap;
}

input.custom-file-upload-input[type="file"] {
    display: none;
}
.custom-file-upload-label {
    width: 100%;
    padding: 0.75rem 0.5rem;
    font-size: 1.1rem;
    font-weight: 500;
    line-height: 1.5;
    color: #5e6278;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #e4e6ef;
    appearance: none;
    border-radius: 0.475rem;
    cursor: pointer;
}
.custom-file-upload-label::before {
    content: 'Browse';
    background-color: #eff2f5;
    color: #A1A5B7;
    padding: 0.5rem 0.75rem;
    border-radius: 0.42rem;
    margin-right: 10px;
    transition: 0.2s;
    white-space: nowrap;
}
.custom-file-upload-label:hover::before {
  background-color: #E4E6EF;
}

.btn-light-primary * {
  color: var(--bs-primary);
}
.btn-light-success * {
  color: var(--bs-success);
}
.btn-light-warning * {
  color: var(--bs-warning);
}
.btn-light-danger * {
  color: var(--bs-danger);
}
.btn-light-info * {
  color: var(--bs-info);
}

.btn-light-primar.active *,
.btn-light-success.active *,
.btn-light-warning.active *,
.btn-light-danger.active *,
.btn-light-info.active *,
.btn-light-primar:hover *,
.btn-light-success:hover *,
.btn-light-warning:hover *,
.btn-light-danger:hover *,
.btn-light-info:hover * {
  color: #FFF;
}

.tagify span[contenteditable] {
  outline: 0px transparent;
}

.btn-file-star {
  border: 0;
  outline: 0 !important;
  height: calc(1.5em + 1.1rem + 2px);
  width: calc(1.5em + 1.1rem + 2px);
  box-shadow: none !important;
  color: #7e8299;
  border-color: #f5f8fa;
  background-color: #f5f8fa;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  padding: 0;
  cursor: pointer;
  top: 10px;
  left: 10px;
  font-weight: 500;
  line-height: 1.5;
  text-align: center;
  vertical-align: middle;
  user-select: none;
  border-radius: 0.475rem;
  transition: 0.3s;
}

.btn-file-star > i {
  font-size: 18px;
}

.btn-file-star:hover {
  border-color: #E4E6EF;
  background-color: #E4E6EF;
}

.btn-file-star:hover > i, .btn-file-star.active > i {
  color: #FFC700;
  font-weight: 900;
}

.border-red {
  border: 1px solid red !important;
}
